/*
 *	HT Editor
 *	htmeminf.cc
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "htmeminf.h"

#ifdef __DJGPP__

#include <dpmi.h>

#endif /* __DJGPP__ */

int get_free_mem()
{
#ifdef __DJGPP__
/*
	  u_long available_memory;
	  u_long available_pages;
	  u_long available_lockable_pages;
	  u_long linear_space;
	  u_long unlocked_pages;
	  u_long available_physical_pages;
	  u_long total_physical_pages;
	  u_long free_linear_space;
	  u_long max_pages_in_paging_file;
	  u_long reserved[3];
*/
	_go32_dpmi_meminfo info;
	_go32_dpmi_get_free_memory_information(&info);
	return info.available_memory;
#else
	return 0;
#endif /* __DJGPP__ */
}
